pcl::OrganizedIndexIterator Class Referenceabstract
Module geometry

base class for iterators on 2-dimensional maps like images/organized clouds etc. More...

`#include <pcl/geometry/organized_index_iterator.h>`

Inheritance diagram for pcl::OrganizedIndexIterator:

## Public Member Functions

| OrganizedIndexIterator (unsigned width)
| constructor More...
virtual | ~OrganizedIndexIterator ()
| virtual destructor More...
virtual void | operator++ ()=0
| go to next pixel/point in image/cloud More...
virtual void | operator++ (int)
| go to next pixel/point in image/cloud More...
unsigned | operator* () const
| returns the pixel/point index in the linearized memory of the image/cloud More...
virtual unsigned | getIndex () const
| returns the pixel/point index in the linearized memory of the image/cloud More...
virtual unsigned | getRowIndex () const
| returns the row index (y-coordinate) of the current pixel/point More...
virtual unsigned | getColumnIndex () const
| returns the col index (x-coordinate) of the current pixel/point More...
virtual bool | isValid () const =0
| return whether the current visited pixel/point is valid or not. More...
virtual void | reset ()=0
| resets the iterator to the beginning of the line More...

## Protected Attributes

unsigned | width_
| the width of the image/cloud More...
unsigned | index_
| the index of the current pixel/point More...

## Detailed Description

base class for iterators on 2-dimensional maps like images/organized clouds etc.

Author
  Suat Gedikli gedik.nosp@m.li@w.nosp@m.illow.nosp@m.gara.nosp@m.ge.co.nosp@m.m

Definition at line 45 of file organized_index_iterator.h.

## Constructor & Destructor Documentation

pcl::OrganizedIndexIterator::OrganizedIndexIterator | ( | unsigned | width | ) |

inline

constructor

Parameters

  [in] | width | the width of the image/organized cloud

Definition at line 104 of file organized_index_iterator.h.

pcl::OrganizedIndexIterator::~OrganizedIndexIterator | ( |  | ) |

inline virtual

virtual destructor

Definition at line 111 of file organized_index_iterator.h.

## Member Function Documentation

unsigned pcl::OrganizedIndexIterator::getColumnIndex | ( |  | ) | const

inline virtual

returns the col index (x-coordinate) of the current pixel/point

Returns
  the col index (x-coordinate) of the current pixel/point

Reimplemented in pcl::LineIterator.

Definition at line 147 of file organized_index_iterator.h.

References index_, and width_.

unsigned pcl::OrganizedIndexIterator::getIndex | ( |  | ) | const

inline virtual

returns the pixel/point index in the linearized memory of the image/cloud

Returns
  the pixel/point index in the linearized memory of the image/cloud

Definition at line 131 of file organized_index_iterator.h.

References index_.

unsigned pcl::OrganizedIndexIterator::getRowIndex | ( |  | ) | const

inline virtual

returns the row index (y-coordinate) of the current pixel/point

default implementation.

Returns
  the row index (y-coordinate) of the current pixel/point

Should be overloaded

Reimplemented in pcl::LineIterator.

Definition at line 140 of file organized_index_iterator.h.

References index_, and width_.

virtual bool pcl::OrganizedIndexIterator::isValid | ( |  | ) | const

pure virtual

return whether the current visited pixel/point is valid or not.

Returns
  true if the current pixel/point is within the points to be iterated over, false otherwise

Implemented in pcl::LineIterator.

unsigned pcl::OrganizedIndexIterator::operator* | ( |  | ) | const

inline

returns the pixel/point index in the linearized memory of the image/cloud

Returns
  the pixel/point index in the linearized memory of the image/cloud

Definition at line 124 of file organized_index_iterator.h.

References index_.

virtual void pcl::OrganizedIndexIterator::operator++ | ( |  | ) |

pure virtual

go to next pixel/point in image/cloud

Implemented in pcl::LineIterator.

Referenced by operator++().

void pcl::OrganizedIndexIterator::operator++ | ( | int |  | ) |

inline virtual

go to next pixel/point in image/cloud

Definition at line 117 of file organized_index_iterator.h.

References operator++().

virtual void pcl::OrganizedIndexIterator::reset | ( |  | ) |

pure virtual

resets the iterator to the beginning of the line

Implemented in pcl::LineIterator.

## Member Data Documentation

unsigned pcl::OrganizedIndexIterator::index_

protected

the index of the current pixel/point

Definition at line 96 of file organized_index_iterator.h.

Referenced by getColumnIndex(), getIndex(), getRowIndex(), pcl::LineIterator::init(), operator*(), pcl::LineIterator::operator++(), and pcl::LineIterator::reset().

unsigned pcl::OrganizedIndexIterator::width_

protected

the width of the image/cloud

Definition at line 93 of file organized_index_iterator.h.

Referenced by getColumnIndex(), getRowIndex(), pcl::LineIterator::init(), and pcl::LineIterator::reset().

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/geometry/include/pcl/geometry/organized_index_iterator.h